
Smart Proxy - Feature #6788

Add a puppet class filter to the scanner to filter puppet class imports based on directory or name

07/27/2014 06:43 AM - Nils Domrose

Status: Rejected   

Priority: Normal   

Assignee: Nils Domrose   

Category: Puppet   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/smart-pro

xy/pull/191

  

Description

Several puppet deployments follow the module, profile(aka service), role pattern. Using this pattern, only roles will be applied to

servers so all other puppet modules are irrelevant from foreman perspective. Such a feature can dramatically decrease the amount

of time it takes to scan unnecessary modules wich multiplies by the amount of environments.

Proposal:

Add two additional settings to the smart_proxy:

:puppet_ignore_modulefolder:

- services

- modules

This one prevents scanning of listed directories in your module path

and

:puppet_include_modules: "role_*"

This one only includes modules with a specific name

Both settings are completely optional, the first supports multi-module dir struktures while the latter supports flat structures, too while it

would also work with multi module dir structures.

History

#1 - 07/27/2014 08:54 AM - Nils Domrose

https://github.com/theforeman/smart-proxy/pull/191

#2 - 07/27/2014 08:55 AM - Nils Domrose

The patch speeded up imports on our puppet env from 7+ minutes to about 10 seconds due to the amount of environments and modules.

#3 - 07/28/2014 04:40 AM - Dominic Cleal

- Category set to Puppet

- Status changed from New to Ready For Testing

- Assignee set to Nils Domrose

- Target version set to 1.8.0

- Pull request https://github.com/theforeman/smart-proxy/pull/191 added

- Pull request deleted ()

#4 - 07/30/2014 06:51 AM - Anonymous

- Target version changed from 1.8.0 to 1.7.5

#5 - 08/20/2014 06:50 AM - Anonymous

- Target version changed from 1.7.5 to 1.7.4
#6 - 09/10/2014 07:21 AM - Anonymous

- Target version changed from 1.7.4 to 1.7.3

#7 - 09/30/2014 10:49 AM - Dominic Cleal

- Target version changed from 1.7.3 to 1.7.2

#8 - 01/09/2015 02:54 AM - Nils Domrose

I closed pull https://github.com/theforeman/smart-proxy/pull/191 in favor of the scanner cache implementation introduced by #8210 so I guess this can

be closed, too.

#9 - 01/09/2015 03:10 AM - Dominic Cleal

- Status changed from Ready For Testing to Rejected

- Target version deleted (1.7.2)
